function p = psnr(x,y)
	% psnr - compute the Peack Signal to Noise Ratio, defined by :
	%       PSNR(x,y) = 10*log10( 255^2 / |x-y|^2 ).
	%
	%   p = psnr(x,y);
	%
	%   Copyright (c) 2004 Gabriel Peyr
	 
	d = mean( (x(:)-y(:)).^2 );
	%m1 = max( abs(x(:)) );
	%m2 = max( abs(y(:)) );
	%m = max(m1,m2);
	m=255;
	 
	p = 10*log10( m^2/d );
